ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIModel Context Protocol (MCP)MCP Streamable HTTP

MCP Streamable HTTP

Hosted Model Context Protocol (MCP) Streamable HTTP endpoint. Connects ChatGPT Custom Actions, Claude Web custom connectors, and Cursor directly to Chatofy CRM with tenant isolation, rate limits, and audit logs.

POST/api/mcp

Body Parameters

1 parameter
writesboolean (query)required

Set ?writes=false to expose only read tools for safety. Default true.

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/mcp" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"jsonrpc":"2.0","id":1,"method":"tools/list","params":{}}'

Was this endpoint guide helpful?

Previous Endpoint
Trigger Flow
Next Endpoint
MCP OAuth 2.0 Dynamic Client Registration
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/mcp" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"jsonrpc":"2.0","id":1,"method":"tools/list","params":{}}'
200 OKapplication/json
1{
2 "jsonrpc": "2.0",
3 "id": 1,
4 "result": {
5 "tools": [
6 {
7 "name": "whoami",
8 "description": "Get the API key owner and organization details, WABAs and phone numbers",
9 "inputSchema": {
10 "type": "object",
11 "properties": {}
12 },
13 "annotations": {
14 "title": "Get Account Details",
15 "readOnlyHint": true,
16 "idempotentHint": true
17 }
18 },
19 {
20 "name": "list_contacts",
21 "description": "List contacts in your organization (newest first, up to 100 per page)",
22 "inputSchema": {
23 "type": "object",
24 "properties": {
25 "limit": {
26 "type": "number",
27 "default": 50
28 },
29 "offset": {
30 "type": "number",
31 "default": 0
32 }
33 }
34 },
35 "annotations": {
36 "title": "List Contacts",
37 "readOnlyHint": true,
38 "idempotentHint": true
39 }
40 },
41 {
42 "name": "send_interactive_buttons",
43 "description": "Send a WhatsApp message with up to 3 interactive quick-reply buttons to a contact",
44 "inputSchema": {
45 "type": "object",
46 "properties": {
47 "to": {
48 "type": "string"
49 },
50 "body_text": {
51 "type": "string"
52 },
53 "buttons": {
54 "type": "array"
55 }
56 },
57 "required": [
58 "to",
59 "body_text",
60 "buttons"
61 ]
62 },
63 "annotations": {
64 "title": "Send Interactive Buttons",
65 "readOnlyHint": false,
66 "destructiveHint": false
67 }
68 }
69 ]
70 }
71}